Name:       libbluray
Version:    1.3.4
Release:    1%{?dist}
Summary:    libbluray - Library to access Blu-Ray disks for video playback
Group:      System Environment/Libraries
License:    LGPLv2+
URL:        http://www.videolan.org/developers/libbluray.html
%undefine   _disable_source_fetch
Source0:    https://code.videolan.org/videolan/libbluray/-/archive/%{version}/libbluray-%{version}.tar.gz
Packager: 	%packager
BuildRequires: libxml2-devel, freetype-devel, fontconfig-devel, ant, libudfread-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gcc, libgcc, glibc-devel, zlib-devel, gcc-c++, make
%define debug_package %nil

%description
This package is aiming to provide a full portable free open source bluray
library, which can be plugged into popular media players to allow full bluray
navigation and playback on Linux. It will eventually be compatible with all
current titles, and will be easily portable and embeddable in standard players
such as mplayer and vlc.

##################################################################################################################
%package devel
Summary: libbluray-devel - Development files for libbluray
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The libbluray-devel package contains libraries and header files for
developing applications that use libbluray.
##
%prep

%setup -q -n libbluray-%{version}

%build
autoreconf -fi
./configure --prefix=%{_prefix} --bindir=%{_bindir} --libdir=%{_libdir} \
   --disable-examples --disable-static
make %{?_smp_mflags}
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#%post
#if [ $1 == 1 ];then
#       #installed
#fi

#%postun
#if [ $1 == 0 ];then
   #uninstalled   
#fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
#%license LICENSE
%doc COPYING ChangeLog
%{_libdir}/libbluray.so.2
%{_libdir}/libbluray.so.2.4.3
/usr/share/java/libbluray-awt-j2se-1.3.4.jar
/usr/share/java/libbluray-j2se-1.3.4.jar

%files devel
%{_includedir}/libbluray/bluray-version.h
%{_includedir}/libbluray/bluray.h
%{_includedir}/libbluray/clpi_data.h
%{_includedir}/libbluray/filesystem.h
%{_includedir}/libbluray/keys.h
%{_includedir}/libbluray/log_control.h
%{_includedir}/libbluray/meta_data.h
%{_includedir}/libbluray/overlay.h
%{_includedir}/libbluray/player_settings.h
%{_libdir}/libbluray.la
%{_libdir}/libbluray.so
%{_libdir}/pkgconfig/libbluray.pc